Icon View Thread

The following is the text of the current message along with any replies.
Messages 1 to 7 of 7 total
Thread upgrade EWB 1.03
Wed, Mar 26 2014 7:23 PMPermanent Link

Paul Waegemans

IMS bvba

Avatar

My webapp continues to work fine after upgrade EWB 1.03 build 4 with localhost

No more problem with or  

but

After deployment I receive error (see attachment).

Paul Waegemans



Attachments: error EWB1.03.jpg
Thu, Mar 27 2014 4:16 AMPermanent Link

Chris Holland

SEC Solutions Ltd.

Avatar

Team Elevate Team Elevate

There was a breaking change to the DataSets in V1.03

1.03 Breaking Changes
The following are breaking changes in Elevate Web Builder 1.03:
The dataset URLs have changed slightly, so please make sure to adjust
your URL handling accordingly if you are using either a custom datasets
module, or a web server other than the Elevate Web Builder Web Server.
Previously, dataset URLs had the following format:

http://<Domain Name>/<DataSets Resource Name>/<DataSet
Name>?method=<Method Name> or
https://<Domain Name>/<DataSets Resource Name>/<DataSet
Name>?method=<Method Name>

This has now been changed to this format:

http://<Domain Name>/<DataSets Resource Name>?method=<Method
Name>[&dataset=<DataSet Name>] or
https://<Domain Name>/<DataSets Resource Name>?method=<Method
Name>[&dataset=<DataSet Name>]

As you can see, the dataset name is now passed as a parameter instead of
it being used as part of the path itself. This was done to accomodate
the URL structuring required by scripting languages such as PHP, which
need to use dataset resource names that include a file extension, such as:

http://www.elevatesoft.com/datasets.php?method=rows&dataset=test

Information The above only applies to dataset-specific requests.
Non-dataset-specific requests, such as those for database transactions,
still use the same URL structure as previous releases of Elevate Web
Builder.


Chris Holland
[Team Elevate]

On 26/03/2014 23:23, Paul Waegemans wrote:
> My webapp continues to work fine after upgrade EWB 1.03 build 4 with localhost
>
> No more problem with or
>
> but
>
> After deployment I receive error (see attachment).
>
> Paul Waegemans
>
Fri, Mar 28 2014 11:26 AMPermanent Link

Paul Waegemans

IMS bvba

Avatar

Chris Holland wrote:

There was a breaking change to the DataSets in V1.03

1.03 Breaking Changes


Thanks.  I already noticed that this has been changed but where has this to be changed?

Somewhere in Configure Server?
Fri, Mar 28 2014 12:52 PMPermanent Link

Uli Becker

Chris,

> There was a breaking change to the DataSets in V1.03

But as the debug window shows: his syntax is correct, isn't it?

Uli
Sat, Mar 29 2014 7:53 AMPermanent Link

Walter Matte

Tactical Business Corporation

When you deployed it - I assume you are using EWB Server for database access?  The folders with the data in them - did you give them rights so that the server as a EWB Server Service can access them?

Walter
Sat, Mar 29 2014 8:45 PMPermanent Link

Chris Holland

SEC Solutions Ltd.

Avatar

Team Elevate Team Elevate

Did you delpoy the V1.03 EWB server or if using your own server did you
update it to use the new format?

Chris Holland
[Team Elevate]

On 28/03/2014 16:52, Uli Becker wrote:
> Chris,
>
>> There was a breaking change to the DataSets in V1.03
>
> But as the debug window shows: his syntax is correct, isn't it?
>
> Uli
>
Sun, Mar 30 2014 3:48 AMPermanent Link

Paul Waegemans

IMS bvba

Avatar

Chris Holland wrote:

Did you delpoy the V1.03 EWB server or if using your own server did you
update it to use the new format?

Chris Holland
[Team Elevate]


I installed the 1.03 with an ewbsvr running an dnow I noticed that the date of this file was still 10/07/2013 (I suppose that rhis file wasn't replaced because it was active).
I instaklled on a clean PC and there I noticed that the file date was 17/02/2014.  I replace the file and everything seems OK now.

Sorry for the inconvenience.

Have a nice sunday.

Paul.
Image